%{!?svn_rev:%define svn_rev 0}

%define debug_package %{nil}

Summary: Nuclotron Beam Position Monitor control program
Name: bpm-readout
Version: 1.3
Release: 1.%{svn_rev}%{?dist}
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/NucloBPM
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: pexml-kmod >= 1.34
Requires: mlink >= 1.34
Requires: qt5-qtbase-mysql >= 5.6
BuildRequires: qt5-qtbase-devel >= 5.6

%if 0%{?fedora}
Requires: akmod-pexml >= 1.34
%else
Requires: kmod-pexml >= 1.34
%endif

%description
Nuclotron Beam Position Monitor control program

%prep
%setup -q

%build
make %{?_smp_mflags} svn_rev=%{svn_rev} qmake
make %{?_smp_mflags} svn_rev=%{svn_rev} -C src/bpm-readout

%install
rm -rf %{buildroot}
make -C src/bpm-readout install INSTALL_ROOT=%{buildroot}%{_prefix}
install scripts/bin/bpm-readout_wrapper.sh %{buildroot}/%{_bindir}/
sed -i -e 's|@CONFIG_DIR@|%{_sysconfdir}|' %{buildroot}%{_bindir}/bpm-readout_wrapper.sh

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc ChangeLog COPYING README
%defattr(0755,root,root)
%{_bindir}/*


%changelog
* Fri Feb  9 2018  <ilja.slepnev@jinr.ru> - 1.3.1
- Updated dependencies
- Require driver pexml 1.34

* Tue Dec  9 2014  <ilja.slepnev@jinr.ru> - 1.3
- Static link Qwt

* Mon Sep 16 2013  <ilja.slepnev@jinr.ru> - 1.2
- Splitted readout and analysis

* Tue Feb 03 2009  <ilja.slepnev@jinr.ru> - 1.1
- Initial build

